clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'Lumpy2GEIIN';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'Lumpy2GEIIN';
logname_ = 'Lumpy2GEIIN.log';
diary off;
warning off;
delete Lumpy2GEIIN.log;
warning on;
warning backtrace;
diary Lumpy2GEIIN.log;
options_ = [];


lgy_ = 'c';
lgy_ = str2mat(lgy_,'f');
lgy_ = str2mat(lgy_,'i');
lgy_ = str2mat(lgy_,'k');
lgy_ = str2mat(lgy_,'m');
lgy_ = str2mat(lgy_,'n');
lgy_ = str2mat(lgy_,'p');
lgy_ = str2mat(lgy_,'q');
lgy_ = str2mat(lgy_,'r');
lgy_ = str2mat(lgy_,'si');
lgy_ = str2mat(lgy_,'u');
lgy_ = str2mat(lgy_,'w');
lgy_ = str2mat(lgy_,'xk');
lgy_ = str2mat(lgy_,'y');
endo_nbr = 14;

lgx_ = 'ti';
lgx_ = str2mat(lgx_,'tk');
lgx_orig_ord_ = [2 1];
exo_nbr = 2;



global aL alp beta delta eta g hab kap phi psi 
global taui tauk theta 


alp = 0.36;
beta = 0.9615;
eta=10;
theta = 1/5.98;
delta=0.1;
kap=(1-theta)/theta;
phi=delta*(1/kap)*((1-0.081)^((eta+1-theta)/(theta*eta-eta)));
psi=(delta^theta);
aL=2.2618;
taui=0.32;
tauk=0.35;
g=0.10461238770960;
hab=0.0;

iy_ = [ 1 0 0 2 0 0 0 0 0 0 0 0 0 0];
temp = [ 3 4 5 6 7 8 9 10 11 12 13 14 15 16];
iy_ = [ iy_ ; temp ];
temp = [ 17 18 19 0 20 0 21 22 0 0 23 0 0 24];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 1;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(14,1);
exe_ = zeros(2,1);





% INITVAL 
valf_ = 0;
endval_=0;
ys_(14)=-0.69521969512617;
ys_(1)=-1.26132735936129;
ys_(5)=1.26132735936129;
ys_(6)=-1.05552844700080;
ys_(3)=-2.26675413825129;
ys_(4)=-0.00760546;
ys_(10)=log(0.1);
ys_(8)=0.0170;
ys_(7)=log(1-0.081);
ys_(2)=-3.8066;
ys_(9)=log(1/beta);
ys_(12)=-0.05950392209422;
ys_(13)=-0.00760546;
ys_(11)=(-1.26132735936129-aL/3)/(1-beta);
exe_(2)=0;
exe_(1)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


steady(0);



% (M)SHOCKS 
make_ex_;
shocks_file(0);
set_shocks(0,[2:5],1,0.1);


options_.periods=60;
options_.simul=1;
simul(dr_);
save('Lumpy2GEIIN_results','oo_','dr_');
diary off
